Subject: bug#14517: t/tags-pr12372.sh assumes that etags generates tags for all files

From: Peter Rosin <[email-masked]>
Date: Fri, 31 May 2013 11:52:29 +0200

On 2013-05-31 11:36, Stefano Lattarini wrote:
>> With that info (and with the help of the docs for the --langmap option), I
>> can make the test PASS *for this etags* with the below patch.
>>
>> I also question if it's wise to 'cat TAGS' in the test, as I have
>> non-printable characters the tags files.
>>
> Log files generated by the automake testsuite harness should be able to contain
> binary output without confusing any of the other automake-generated recipes.
> That is considered a feature, and is also tested in the Automake testsuite
> somewhere.  Are you having concrete problem with this?  If yes, that's a bug
> we might want to address.

No, no concrete problem here, but it makes it harder to exchange the log
files, especially since people might assume they are regular text files.
They sure look texty on a cursory glance.

>>
>> diff --git a/t/tags-pr12372.sh b/t/tags-pr12372.sh
>> index 4eeb9be..14b500e 100644
>> --- a/t/tags-pr12372.sh
>> +++ b/t/tags-pr12372.sh
>> @@ -63,7 +63,7 @@ $AUTOMAKE
>>
>>  ./configure
>>
>> -$MAKE
>> +$MAKE ETAGSFLAGS="--langmap=c:+.pc"
>>
> This will break with my etags, though.

Of course, that is why I emphasized *with this etags* above. I never
expected this patch to fly, it was a throwaway thing (I didn't even
commit it locally, and I didn't send it to automake-patches). I
considered it only as input to whomever would write a proper patch.

>   $ etags --version
>   etags (GNU Emacs 23.4)
>   Copyright (C) 2012 Free Software Foundation, Inc.
>   This program is distributed under the terms in ETAGS.README
> 
> Maybe you should make your change condition to whether etags is
> "Exuberant Ctags"?

Or, even better, check if etags swallows "--langmap=c:.pc", which
seems more robust than relying on names and versions of tools.

I'm not going to write the patch this week though, and possibly
not in the near future as I have other things ($$$) to do as well...

Cheers,
Peter